Index: trunk/Cocoa/F-Script Anywhere/Source/English.lproj/FSAInterpreterPanel.nib/designable.nib
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/English.lproj/FSAInterpreterPanel.nib/designable.nib	(revision 453)
+++ trunk/Cocoa/F-Script Anywhere/Source/English.lproj/FSAInterpreterPanel.nib/designable.nib	(revision 454)
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<archive type="com.apple.InterfaceBuilder3.Cocoa.XIB" version="7.01">
+<archive type="com.apple.InterfaceBuilder3.Cocoa.XIB" version="7.02">
 	<data>
 		<int key="IBDocument.SystemTarget">1050</int>
-		<string key="IBDocument.SystemVersion">9C31</string>
-		<string key="IBDocument.InterfaceBuilderVersion">629</string>
+		<string key="IBDocument.SystemVersion">9C7010</string>
+		<string key="IBDocument.InterfaceBuilderVersion">644</string>
 		<string key="IBDocument.AppKitVersion">949.26</string>
 		<string key="IBDocument.HIToolboxVersion">352.00</string>
@@ -13,13 +13,13 @@
 		<object class="NSArray" key="IBDocument.PluginDependencies">
 			<bool key="EncodedWithXMLCoder">YES</bool>
-			<string id="404824708">com.apple.InterfaceBuilder.CocoaPlugin</string>
+			<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
 		</object>
 		<object class="NSMutableArray" key="IBDocument.RootObjects" id="915907452">
 			<bool key="EncodedWithXMLCoder">YES</bool>
 			<object class="NSCustomObject" id="849285759">
-				<string key="NSClassName" id="357322217">FSAController</string>
+				<string key="NSClassName">FSAController</string>
 			</object>
 			<object class="NSCustomObject" id="861952984">
-				<string key="NSClassName" id="904778498">FirstResponder</string>
+				<string key="NSClassName">FirstResponder</string>
 			</object>
 			<object class="NSCustomObject" id="644899216">
@@ -31,5 +31,5 @@
 				<string key="NSWindowRect">{{705, 192}, {360, 264}}</string>
 				<int key="NSWTFlags">-1334311936</int>
-				<string key="NSWindowTitle" id="85461633">F-Script Anywhere</string>
+				<string key="NSWindowTitle">F-Script Anywhere</string>
 				<string key="NSWindowClass">NSPanel</string>
 				<object class="NSMutableString" key="NSViewClass">
@@ -51,5 +51,4 @@
 									<string key="NSFrameSize">{360, 234}</string>
 									<reference key="NSSuperview" ref="257941346"/>
-									<reference key="NSWindow"/>
 									<bool key="shouldRetainCommandHandler">NO</bool>
 									<reference key="commandHandler" ref="257941346"/>
@@ -58,5 +57,4 @@
 							<string key="NSFrame">{{0, 30}, {360, 234}}</string>
 							<reference key="NSSuperview" ref="172318464"/>
-							<reference key="NSWindow"/>
 							<object class="FSInterpreter" key="interpreter" id="951530180">
 								<object class="FSExecutor" key="executor">
@@ -83,5 +81,4 @@
 							<string key="NSFrame">{{292, 7}, {50, 16}}</string>
 							<reference key="NSSuperview" ref="172318464"/>
-							<reference key="NSWindow"/>
 							<bool key="NSEnabled">YES</bool>
 							<object class="NSButtonCell" key="NSCell" id="887251214">
@@ -90,5 +87,5 @@
 								<string key="NSContents">Float</string>
 								<object class="NSFont" key="NSSupport" id="26">
-									<string key="NSName" id="830463060">LucidaGrande</string>
+									<string key="NSName">LucidaGrande</string>
 									<double key="NSSize">1.100000e+01</double>
 									<int key="NSfFlags">3100</int>
@@ -100,6 +97,6 @@
 									<string key="NSImageName">NSSwitch</string>
 								</object>
-								<string key="NSAlternateContents" id="281651569"/>
-								<reference key="NSKeyEquivalent" ref="281651569"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
 								<int key="NSPeriodicDelay">200</int>
 								<int key="NSPeriodicInterval">25</int>
@@ -111,5 +108,4 @@
 							<string key="NSFrame">{{5, 5}, {92, 18}}</string>
 							<reference key="NSSuperview" ref="172318464"/>
-							<reference key="NSWindow"/>
 							<bool key="NSEnabled">YES</bool>
 							<object class="NSButtonCell" key="NSCell" id="102769611">
@@ -122,9 +118,9 @@
 								<int key="NSButtonFlags2">32</int>
 								<object class="NSFont" key="NSAlternateImage">
-									<reference key="NSName" ref="830463060"/>
+									<string key="NSName">LucidaGrande</string>
 									<double key="NSSize">1.100000e+01</double>
 									<int key="NSfFlags">16</int>
 								</object>
-								<reference key="NSAlternateContents" ref="281651569"/>
+								<string key="NSAlternateContents"/>
 								<object class="NSMutableString" key="NSKeyEquivalent">
 									<characters key="NS.bytes"/>
@@ -139,5 +135,4 @@
 							<string key="NSFrame">{{103, 5}, {129, 18}}</string>
 							<reference key="NSSuperview" ref="172318464"/>
-							<reference key="NSWindow"/>
 							<bool key="NSEnabled">YES</bool>
 							<object class="NSButtonCell" key="NSCell" id="2665014">
@@ -154,5 +149,5 @@
 									<int key="NSfFlags">16</int>
 								</object>
-								<reference key="NSAlternateContents" ref="281651569"/>
+								<string key="NSAlternateContents"/>
 								<object class="NSMutableString" key="NSKeyEquivalent">
 									<characters key="NS.bytes"/>
@@ -165,10 +160,9 @@
 					<string key="NSFrameSize">{360, 264}</string>
 					<reference key="NSSuperview"/>
-					<reference key="NSWindow"/>
 				</object>
 				<string key="NSScreenRect">{{0, 0}, {1920, 1178}}</string>
 				<string key="NSMinSize">{360, 116}</string>
 				<string key="NSMaxSize">{3.40282e+38, 3.40282e+38}</string>
-				<reference key="NSFrameAutosaveName" ref="85461633"/>
+				<string key="NSFrameAutosaveName">F-Script Anywhere</string>
 			</object>
 		</object>
@@ -210,5 +204,5 @@
 				<object class="IBConnectionRecord">
 					<object class="IBActionConnection" key="connection">
-						<string key="label" id="671833149">newBigBrowser:</string>
+						<string key="label">newBigBrowser:</string>
 						<reference key="source" ref="257941346"/>
 						<reference key="destination" ref="154095424"/>
@@ -247,4 +241,12 @@
 					</object>
 					<int key="connectionID">56</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">delegate</string>
+						<reference key="source" ref="480344660"/>
+						<reference key="destination" ref="849285759"/>
+					</object>
+					<int key="connectionID">57</int>
 				</object>
 			</object>
@@ -362,8 +364,10 @@
 					<string>45.IBPluginDependency</string>
 					<string>45.ImportedFromIB2</string>
+					<string>5.IBEditorWindowLastContentRect</string>
 					<string>5.IBPluginDependency</string>
 					<string>5.IBWindowTemplateEditedContentRect</string>
 					<string>5.ImportedFromIB2</string>
 					<string>5.editorWindowContentRectSynchronizationRect</string>
+					<string>5.lastResizeAction</string>
 					<string>5.windowTemplate.hasMaxSize</string>
 					<string>5.windowTemplate.hasMinSize</string>
@@ -377,31 +381,45 @@
 				<object class="NSMutableArray" key="dict.values">
 					<bool key="EncodedWithXMLCoder">YES</bool>
-					<reference ref="404824708"/>
-					<reference ref="404824708"/>
+					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
+					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
 					<object class="NSMutableDictionary">
-						<string key="NS.key.0" id="784703170">ToolTip</string>
+						<string key="NS.key.0">ToolTip</string>
 						<object class="IBToolTipAttribute" key="NS.object.0">
-							<reference key="name" ref="784703170"/>
+							<string key="name">ToolTip</string>
 							<reference key="object" ref="398774288"/>
 							<string key="toolTip">When checked, this palette floats above other windows.</string>
 						</object>
 					</object>
-					<reference ref="404824708"/>
+					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
 					<integer value="1" id="9"/>
-					<reference ref="404824708"/>
-					<reference ref="9"/>
-					<reference ref="404824708"/>
-					<reference ref="9"/>
-					<reference ref="404824708"/>
-					<string id="741565066">{{705, 192}, {360, 264}}</string>
-					<reference ref="9"/>
-					<reference ref="741565066"/>
+					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
+					<reference ref="9"/>
+					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
+					<reference ref="9"/>
+					<string>{{705, 192}, {360, 264}}</string>
+					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
+					<string>{{705, 192}, {360, 264}}</string>
+					<reference ref="9"/>
+					<string>{{705, 192}, {360, 264}}</string>
+					<object class="NSDictionary">
+						<bool key="EncodedWithXMLCoder">YES</bool>
+						<object class="NSMutableArray" key="dict.sortedKeys">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<string>IBResizeActionFinalFrame</string>
+							<string>IBResizeActionInitialFrame</string>
+						</object>
+						<object class="NSMutableArray" key="dict.values">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<string>{{705, 192}, {360, 264}}</string>
+							<string>{{705, 192}, {360, 264}}</string>
+						</object>
+					</object>
 					<reference ref="9"/>
 					<reference ref="9"/>
 					<string>{3.40282e+38, 3.40282e+38}</string>
 					<string>{360, 100}</string>
-					<reference ref="404824708"/>
-					<reference ref="9"/>
-					<reference ref="404824708"/>
+					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
+					<reference ref="9"/>
+					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
 					<reference ref="9"/>
 				</object>
@@ -427,35 +445,9 @@
 			</object>
 			<nil key="sourceID"/>
-			<int key="maxID">56</int>
+			<int key="maxID">57</int>
 		</object>
 		<object class="IBClassDescriber" key="IBDocument.Classes">
 			<object class="NSMutableArray" key="referencedPartialClassDescriptions">
 				<bool key="EncodedWithXMLCoder">YES</bool>
-				<object class="IBPartialClassDescription">
-					<reference key="className" ref="904778498"/>
-					<nil key="superclassName"/>
-					<object class="NSMutableDictionary" key="actions">
-						<bool key="EncodedWithXMLCoder">YES</bool>
-						<object class="NSArray" key="dict.sortedKeys">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-						</object>
-						<object class="NSMutableArray" key="dict.values">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-						</object>
-					</object>
-					<object class="NSMutableDictionary" key="outlets">
-						<bool key="EncodedWithXMLCoder">YES</bool>
-						<object class="NSArray" key="dict.sortedKeys">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-						</object>
-						<object class="NSMutableArray" key="dict.values">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-						</object>
-					</object>
-					<object class="IBClassDescriptionSource" key="sourceIdentifier">
-						<string key="majorKey" id="15864470">IBUserSource</string>
-						<reference key="minorKey" ref="281651569"/>
-					</object>
-				</object>
 				<object class="IBPartialClassDescription">
 					<string key="className">FSAController</string>
@@ -466,12 +458,10 @@
 							<bool key="EncodedWithXMLCoder">YES</bool>
 							<string>FSA_associateAndOpenBrowser:</string>
-							<string>FSA_associateWithInterface:</string>
 							<string>setFloating:</string>
 						</object>
 						<object class="NSMutableArray" key="dict.values">
 							<bool key="EncodedWithXMLCoder">YES</bool>
-							<string id="345541481">id</string>
-							<reference ref="345541481"/>
-							<reference ref="345541481"/>
+							<string>id</string>
+							<string>id</string>
 						</object>
 					</object>
@@ -487,8 +477,8 @@
 						<object class="NSMutableArray" key="dict.values">
 							<bool key="EncodedWithXMLCoder">YES</bool>
-							<string id="1023988678">NSButton</string>
+							<string>NSButton</string>
 							<string>NSButtonCell</string>
 							<string>FSInterpreterView</string>
-							<reference ref="1023988678"/>
+							<string>NSButton</string>
 						</object>
 					</object>
@@ -499,57 +489,36 @@
 				</object>
 				<object class="IBPartialClassDescription">
-					<reference key="className" ref="357322217"/>
+					<string key="className">FSAController</string>
 					<string key="superclassName">NSWindowController</string>
-					<object class="NSMutableDictionary" key="actions">
-						<bool key="EncodedWithXMLCoder">YES</bool>
-						<object class="NSArray" key="dict.sortedKeys">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-						</object>
-						<object class="NSMutableArray" key="dict.values">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-						</object>
-					</object>
-					<object class="NSMutableDictionary" key="outlets">
-						<bool key="EncodedWithXMLCoder">YES</bool>
-						<object class="NSArray" key="dict.sortedKeys">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-						</object>
-						<object class="NSMutableArray" key="dict.values">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-						</object>
-					</object>
 					<object class="IBClassDescriptionSource" key="sourceIdentifier">
-						<reference key="majorKey" ref="15864470"/>
-						<reference key="minorKey" ref="281651569"/>
+						<string key="majorKey">IBUserSource</string>
+						<string key="minorKey"/>
 					</object>
 				</object>
 				<object class="IBPartialClassDescription">
 					<string key="className">FSInterpreterView</string>
-					<nil key="superclassName"/>
 					<object class="NSMutableDictionary" key="actions">
 						<bool key="EncodedWithXMLCoder">YES</bool>
 						<object class="NSMutableArray" key="dict.sortedKeys">
 							<bool key="EncodedWithXMLCoder">YES</bool>
-							<reference ref="671833149"/>
+							<string>newBigBrowser:</string>
 							<string>newKVBrowser:</string>
 						</object>
 						<object class="NSMutableArray" key="dict.values">
 							<bool key="EncodedWithXMLCoder">YES</bool>
-							<string id="92539638">id</string>
-							<reference ref="92539638"/>
-						</object>
-					</object>
-					<object class="NSMutableDictionary" key="outlets">
-						<bool key="EncodedWithXMLCoder">YES</bool>
-						<object class="NSArray" key="dict.sortedKeys">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-						</object>
-						<object class="NSMutableArray" key="dict.values">
-							<bool key="EncodedWithXMLCoder">YES</bool>
+							<string>id</string>
+							<string>id</string>
 						</object>
 					</object>
 					<object class="IBClassDescriptionSource" key="sourceIdentifier">
-						<reference key="majorKey" ref="15864470"/>
-						<reference key="minorKey" ref="281651569"/>
+						<string key="majorKey">IBUserSource</string>
+						<string key="minorKey"/>
+					</object>
+				</object>
+				<object class="IBPartialClassDescription">
+					<string key="className">FirstResponder</string>
+					<object class="IBClassDescriptionSource" key="sourceIdentifier">
+						<string key="majorKey">IBUserSource</string>
+						<string key="minorKey"/>
 					</object>
 				</object>
@@ -557,110 +526,6 @@
 		</object>
 		<int key="IBDocument.localizationMode">0</int>
-		<string key="IBDocument.LastKnownRelativeProjectPath">../../F-Script Anywhere.xcodeproj</string>
+		<string key="IBDocument.LastKnownRelativeProjectPath">../F-Script Anywhere.xcodeproj</string>
 		<int key="IBDocument.defaultPropertyAccessControl">3</int>
-		<object class="NSMutableData" key="IBDocument.RunnableNib">
-			<bytes key="NS.bytes">YnBsaXN0MDDUAAEAAgADAAQABQAGAAkAClgkdmVyc2lvblQkdG9wWSRhcmNoaXZlclgkb2JqZWN0cxIA
-AYag0QAHAAhdSUIub2JqZWN0ZGF0YYABXxAPTlNLZXllZEFyY2hpdmVyrxCOAAsADAAxADUANgA8AD0A
-QQBFAFIAWgBqAHMACwB0AI4AjwCXAJgAmwCfAKAAowCnAKsAsQC7AL8AyQDKAM0A0QDSANYA3QDlAOkA
-8QDzAPYA9wD6AP0BAAEDAQYBBwELARABEQEUARkBGgEfATkBOgE7ATwBPwFGAU8BUAFaAVsBXwFgAWMB
-awFsAXQBdQF4AXkBewALAXwBfgF/AYABgQGEAYUBigGLAZABkQGWAZcBnAGdAaIBowGqAasBrAGvAbwB
-vwHAAcIBzwHdAesB7AHtAe4B7wHwAfEB8gHzAfQB9QH2AfkB/AIUAiwCLQIuAi8CMAIxAjICMwI0AjUC
-NgI3AjgCOQI6AjsCPAI9Aj4CPwJAAkECRAJHAkpVJG51bGzfEBIADQAOAA8AEAARABIAEwAUABUAFgAX
-ABgAGQAaABsAHAAdAB4AHwAgACEAIgAjACQAJQAmACcAKAApACoAKwAsAC0ALgAvADBWTlNSb290ViRj
-bGFzc11OU09iamVjdHNLZXlzXxAPTlNDbGFzc2VzVmFsdWVzXxAZTlNBY2Nlc3NpYmlsaXR5T2lkc1Zh
-bHVlc11OU0Nvbm5lY3Rpb25zW05TTmFtZXNLZXlzW05TRnJhbWV3b3JrXU5TQ2xhc3Nlc0tleXNaTlNP
-aWRzS2V5c11OU05hbWVzVmFsdWVzXxAZTlNBY2Nlc3NpYmlsaXR5Q29ubmVjdG9yc11OU0ZvbnRNYW5h
-Z2VyXxAQTlNWaXNpYmxlV2luZG93c18QD05TT2JqZWN0c1ZhbHVlc18QF05TQWNjZXNzaWJpbGl0eU9p
-ZHNLZXlzWU5TTmV4dE9pZFxOU09pZHNWYWx1ZXOAAoCNgF+AcoCMgAiAZIAFgHGAc4BlgIqAAIAGgGOA
-ixA7gHTSAA4AMgAzADRbTlNDbGFzc05hbWWABIADXUZTQUNvbnRyb2xsZXLSADcAOAA5ADpYJGNsYXNz
-ZXNaJGNsYXNzbmFtZaIAOgA7Xk5TQ3VzdG9tT2JqZWN0WE5TT2JqZWN0XxAQSUJDb2NvYUZyYW1ld29y
-a9IADgA+AD8AQFpOUy5vYmplY3RzgAeg0gA3ADgAQgBDowBDAEQAO1xOU011dGFibGVTZXRVTlNTZXTS
-AA4APgBGAEeAHqoASABJAEoASwBMAE0ATgBPAFAAUYAJgC+AMoA0gFGAU4BVgFeAWYBb1AAOAFMAVABV
-AFYAVwBYAFldTlNEZXN0aW5hdGlvblhOU1NvdXJjZVdOU0xhYmVsgC6AGYAKgC3YAFsADgBcAF0AXgBf
-AGAAYQBiAGMAZABlAGYAZwBoAGJfEA9OU05leHRSZXNwb25kZXJXTlNGcmFtZVZOU0NlbGxYTlN2Rmxh
-Z3NZTlNFbmFibGVkWE5TV2luZG93W05TU3VwZXJ2aWV3gAuAGIAMgA4RAQAJgA2AC9cAWwAOAGsAXgBs
-AGAAYQBoAG4AbwBmAHAAaAByWk5TU3Vidmlld3NbTlNGcmFtZVNpemWADYBLgDqASYANgEpfEBJ7ezUs
-IDV9LCB7OTIsIDE4fX3dAHUADgB2AHcAeAB5AHoAewB8AH0AfgB/AIAAgQCCAIMAhACFAIYAhwCIAIkA
-WACLAIwAjVtOU0NlbGxGbGFnc18QE05TQWx0ZXJuYXRlQ29udGVudHNfEBJOU1BlcmlvZGljSW50ZXJ2
-YWxeTlNCdXR0b25GbGFnczJfEBBOU0FsdGVybmF0ZUltYWdlXxAPTlNLZXlFcXVpdmFsZW50Wk5TQ29u
-dGVudHNZTlNTdXBwb3J0XU5TQ29udHJvbFZpZXdfEA9OU1BlcmlvZGljRGVsYXlcTlNDZWxsRmxhZ3My
-XU5TQnV0dG9uRmxhZ3MSBAH+AIAXgBQQGRAggBOAFYAPgBCAChDIEggCAAAT/////4aCQP9cT3BlbiBC
-cm93c2Vy1AAOAJAAkQCSAJMAlACVAJZWTlNTaXplVk5TTmFtZVhOU2ZGbGFnc4ASI0AmAAAAAAAAgBER
-DBxcTHVjaWRhR3JhbmRl0gA3ADgAmQCaogCaADtWTlNGb2501AAOAJAAkQCSAJMAlACVAJ6AEoAREBBQ
-0gAOAKEAogCfWU5TLnN0cmluZ4AW0gA3ADgApAClowClAKYAO18QD05TTXV0YWJsZVN0cmluZ1hOU1N0
-cmluZ9IANwA4AKgAqaQAqQCqAF0AO1xOU0J1dHRvbkNlbGxcTlNBY3Rpb25DZWxs0gA3ADgArACtpQCt
-AK4ArwCwADtYTlNCdXR0b25ZTlNDb250cm9sVk5TVmlld1tOU1Jlc3BvbmRlctgAWwAOAFwAawBeAGAA
-sgBhAGIAtAC1ALYAtwBoALkAYltpbnRlcnByZXRlcoALgCyAH4AaEQESgA2AIIAL0gAOAD4ARgC9gB6h
-AL6AG9gAWwAOAMAAwQBeAGwAYABhAFcAwwBXAMUAtwDGAGgAV15jb21tYW5kSGFuZGxlcl8QGnNob3Vs
-ZFJldGFpbkNvbW1hbmRIYW5kbGVygBmAHYAZCIAcgA2AGVp7MzYwLCAyMzR90gA3ADgAywDMpADMAK8A
-sAA7V0NMSVZpZXfSADcAOADOAM+jAM8A0AA7Xk5TTXV0YWJsZUFycmF5V05TQXJyYXlfEBV7ezAsIDMw
-fSwgezM2MCwgMjM0fX3SAA4A0wDUANVYZXhlY3V0b3KAK4Ah1AAOANcA2ACyANkA2gDFALlbc3ltYm9s
-VGFibGVdc2hvdWxkSm91cm5hbIAqgCIIgCDUAA4A3gDfAOAA4QDiACsAxVtsb2NhbHNBcnJheVZwYXJl
-bnRfEBd0cnlUb0F0dGFjaFdoZW5EZWNvZGluZ4ApgCOAAAjSAA4APgBGAOeAHqEA6IAk1AAOAOoA6wDs
-AO0A7gDvAPBWc3RhdHVzVnN5bWJvbFV2YWx1ZYAoEACAJ4Al0QAOAPKAJtIANwA4APQA9aIA9QA7Vk5T
-TnVsbFNzeXPSADcAOAD4APmiAPkAO18QF1N5bWJvbFRhYmxlVmFsdWVXcmFwcGVy0gA3ADgA+wD8ogD8
-ADtbU3ltYm9sVGFibGXSADcAOAD+AP+iAP8AO1pGU0V4ZWN1dG9y0gA3ADgBAQECogECADtdRlNJbnRl
-cnByZXRlctIANwA4AQQBBaQBBQCvALAAO18QEUZTSW50ZXJwcmV0ZXJWaWV3Xm5ld0JpZ0Jyb3dzZXI6
-0gA3ADgBCAEJowEJAQoAO18QFU5TTmliQ29udHJvbENvbm5lY3Rvcl5OU05pYkNvbm5lY3RvctQADgBT
-AFQAVQEMAFcAHwEPgDGAGYACgDBfEA9pbnRlcnByZXRlclZpZXfSADcAOAESAROjARMBCgA7XxAUTlNO
-aWJPdXRsZXRDb25uZWN0b3LUAA4AUwBUAFUBDABYAB8BGIAxgAqAAoAzXxARb3BlbkJyb3dzZXJCdXR0
-b27UAA4AUwBUAFUBDABXAR0BHoAxgBmANYBQ3QEgAA4BIQEiASMBJAElASYBJwEoASkBKgErAGIBLQEu
-AS8BLwExATIBMwE0ATUBNgE3AThcTlNXaW5kb3dWaWV3XE5TU2NyZWVuUmVjdF8QE05TRnJhbWVBdXRv
-c2F2ZU5hbWVdTlNXaW5kb3dUaXRsZVlOU1dURmxhZ3NdTlNXaW5kb3dDbGFzc1xOU1dpbmRvd1JlY3RZ
-TlNNYXhTaXplXxAPTlNXaW5kb3dCYWNraW5nXxARTlNXaW5kb3dTdHlsZU1hc2tZTlNNaW5TaXplW05T
-Vmlld0NsYXNzgAuAT4BMgDeANxP/////sHgEAIA4gDaAThACEBuATYA5XxAYe3s3MDUsIDE5Mn0sIHsz
-NjAsIDI2NH19XxARRi1TY3JpcHQgQW55d2hlcmVXTlNQYW5lbNIADgChAKIBPoAWVFZpZXfSAA4APgBG
-AUGAHqQAVwFDAFgBRYAZgDuACoBC2ABbAA4AXABdAF4AXwBgAGEAYgBjAUkBSgFLAGcAaABigAuAGIA8
-gD0RAQEJgA2AC18QFHt7MjkyLCA3fSwgezUwLCAxNn193QB1AA4AdgB3AHgAeQB6AHsAfAB9AH4AfwCA
-AIEAggCDAIQBNQFTAIMBVQCJAUMAiwFYAVmAF4AUgD+AFIA+gBCAOxIAAgAAEkg8Uf9VRmxvYXTSAA4B
-XAFdAV5bTlNJbWFnZU5hbWWAQYBAWE5TU3dpdGNo0gA3ADgBYQFiogFiADtfEBNOU0J1dHRvbkltYWdl
-U291cmNl2ABbAA4AXABdAF4AXwBgAGEAYgBjAWYBZwBmAGcAaABigAuAGIBDgEQJgA2AC18QFXt7MTAz
-LCA1fSwgezEyOSwgMTh9fd0AdQAOAHYAdwB4AHkAegB7AHwAfQB+AH8AgACBAIIAgwCEAIUBbwFwAXEA
-iQFFAIsAjACNgBeAFIBGgEiARYAQgEJfEBVCcm93c2VyIEZvciBUYXJnZXQuLi7UAA4AkACRAJIAkwCU
-AXcAnoASgEdZSGVsdmV0aWNh0gAOAKEAogCfgBZaezM2MCwgMjY0fdIANwA4AX0Ar6MArwCwADtfEBZ7
-ezAsIDB9LCB7MTkyMCwgMTE3OH19WnszNjAsIDExNn1fEBp7My40MDI4MmUrMzgsIDMuNDAyODJlKzM4
-fdIANwA4AYIBg6IBgwA7XxAQTlNXaW5kb3dUZW1wbGF0ZV8QFWluaXRpYWxGaXJzdFJlc3BvbmRlctQA
-DgBTAFQAVQBWAB8BQwGJgC6AAoA7gFJcc2V0RmxvYXRpbmc61AAOAFMAVABVAQwBRQAfAY+AMYBCgAKA
-VF8QHGFzc29jaWF0ZVdpdGhJbnRlcmZhY2VCdXR0b27UAA4AUwBUAFUBDAEdAB8BlYAxgDWAAoBWVndp
-bmRvd9QADgBTAFQAVQEMAUoAHwGbgDGAPYACgFhfEA9mbG9hdEJ1dHRvbkNlbGzUAA4AUwBUAFUAVgAf
-AUUBoYAugAKAQoBaXxAcRlNBX2Fzc29jaWF0ZUFuZE9wZW5Ccm93c2VyOtQADgBTAaQBpQGmAUMBqAGp
-WE5TTWFya2VyVk5TRmlsZYBegDuAXYBcXxAQTlNUb29sVGlwSGVscEtleV8QNldoZW4gY2hlY2tlZCwg
-dGhpcyBwYWxldHRlIGZsb2F0cyBhYm92ZSBvdGhlciB3aW5kb3dzLtIANwA4Aa0BrqIBrgA7XxARTlNJ
-QkhlbHBDb25uZWN0b3LSAA4APgGwAbGAYqoBHQBiAUUBSgBXAFgAZQFDAboBZ4A1gAuAQoA9gBmACoAO
-gDuAYIBE0gAOADIAMwG+gASAYV1OU0FwcGxpY2F0aW9u0gA3ADgBwQDQogDQADvSAA4APgGwAcSAYqoA
-HwEdAGIBQwBiAGIAWABiAB8BRYACgDWAC4A7gAuAC4AKgAuAAoBC0gAOAD4BsAHRgGKrAR0AYgFFAUoA
-HwBXAFgAZQFDAboBZ4A1gAuAQoA9gAKAGYAKgA6AO4BggETSAA4APgGwAd+AYqsB4AHhAeIB4wHkAeUB
-5gHnAegB6QHqgGaAZ4BogGmAaoBrgGyAbYBugG+AcFVQYW5lbFxDb250ZW50IFZpZXdfEC5TcXVhcmUg
-VGV4dHVyZWQgQnV0dG9uIChCcm93c2VyIEZvciBUYXJnZXQuLi4pXxATQnV0dG9uIENlbGwgKEZsb2F0
-KVxGaWxlJ3MgT3duZXJfEBBJbnRlcnByZXRlciBWaWV3XxAlU3F1YXJlIFRleHR1cmVkIEJ1dHRvbiAo
-T3BlbiBCcm93c2VyKV8QGkJ1dHRvbiBDZWxsIChPcGVuIEJyb3dzZXIpXxARQ2hlY2sgQm94IChGbG9h
-dClbQXBwbGljYXRpb25fECNCdXR0b24gQ2VsbCAoQnJvd3NlciBGb3IgVGFyZ2V0Li4uKdIADgA+AbAB
-+IBioNIADgA+AbAB+4BioNIADgA+AbAB/oBirxAVAGIATQBXAE4AWABlAEoASwBQAFEBHQBJAUUATAFK
-AB8ATwFDAEgBugFngAuAU4AZgFWACoAOgDKANIBZgFuANYAvgEKAUYA9gAKAV4A7gAmAYIBE0gAOAD4B
-sAIWgGKvEBUCFwIYAhkCGgIbAhwCHQIeAh8CIAIhAiICIwIkAiUCJgInAigCKQIqAiuAdYB2gHeAeIB5
-gHqAe4B8gH2AfoB/gICAgYCCgIOAhICFgIaAh4CIgIkQBhA3EAcQChAsEDQQNhAJEDAQOhAFEAsQLRAO
-EDIQORA4EA0QLhP//////////RA10gAOAD4ARgJDgB6g0gAOAD4BsAJGgGKg0gAOAD4BsAJJgGKg0gA3
-ADgCSwJMogJMADteTlNJQk9iamVjdERhdGEACAAZACIAJwAxADoAPwBEAFIAVABmAYUBiwHWAd0B5AHy
-AgQCIAIuAjoCRgJUAl8CbQKJApcCqgK8AtYC4ALtAu8C8QLzAvUC9wL5AvsC/QL/AwEDAwMFAwcDCQML
-Aw0DDwMRAxoDJgMoAyoDOANBA0oDVQNaA2kDcgOFA44DmQObA5wDpQOsA7kDvwPIA8oD3wPhA+MD5QPn
-A+kD6wPtA+8D8QPzBAQEEgQbBCMEJQQnBCkEKwRMBF4EZgRtBHYEgASJBJUElwSZBJsEnQSgBKEEowSl
-BMIEzQTZBNsE3QTfBOEE4wTlBPoFLwU7BVEFZgV1BYgFmgWlBa8FvQXPBdwF6gXvBfEF8wX1BfcF+QX7
-Bf0F/wYBBgMGCAYRBh4GLwY2Bj0GRgZIBlEGUwZWBmMGbAZxBngGiQaLBo0GjwaQBpkGowalBq4GtQbH
-BtAG2QbiBu8G/AcFBxAHGQcjByoHNgdXB2MHZQdnB2kHawduB3AHcgd0B30HfweCB4QHpQe0B9EH0wfV
-B9cH2AfaB9wH3gfpB/IH+wgDCAwIEwgiCCoIQghLCFQIVghYCGkIdQiDCIUIhwiICIoImwinCK4IyAjK
-CMwIzgjPCNgI2gjdCN8I8Aj3CP4JBAkGCQgJCgkMCREJEwkcCSEJKAksCTUJOglUCV0JYgluCXcJfAmH
-CZAJlQmjCawJtQnJCdgJ4QnoCgAKDwogCiIKJAomCigKOgpDCkoKYQpyCnQKdgp4CnoKjgqfCqEKowql
-CqcK3ArpCvYLDAsaCyQLMgs/C0kLWwtvC3kLhQuHC4kLiwuNC48LmAuaC5wLngugC6ILpAumC8EL1Qvd
-C+YL6AvtC/YL+AwBDAMMBQwHDAkMKgwsDC4MMAwyDDUMNgw4DDoMUQyGDIgMigyMDI4MkAySDJQMmQye
-DKQMrQy5DLsMvQzGDM8M1AzqDQsNDQ0PDRENEw0UDRYNGA0wDWUNZw1pDWsNbQ1vDXENcw2LDZwNng2g
-DaoNsw21DcANyQ3QDekN9A4RDhoOHw4yDkoOWw5dDl8OYQ5jDnAOgQ6DDoUOhw6JDqgOuQ67Dr0Ovw7B
-DsgO2Q7bDt0O3w7hDvMPBA8GDwgPCg8MDysPPA9FD0wPTg9QD1IPVA9nD6APqQ+uD8IPyw/ND+IP5A/m
-D+gP6g/sD+4P8A/yD/QP9g//EAEQAxAREBoQHxAoECoQPxBBEEMQRRBHEEkQSxBNEE8QURBTEFwQXhB1
-EHcQeRB7EH0QfxCBEIMQhRCHEIkQixCUEJYQrRCvELEQsxC1ELcQuRC7EL0QvxDBEMMQyRDWEQcRHREq
-ET0RZRGCEZYRohHIEdER0xHUEd0R3xHgEekR6xIYEhoSHBIeEiASIhIkEiYSKBIqEiwSLhIwEjISNBI2
-EjgSOhI8Ej4SQBJCEksSTRJ6EnwSfhKAEoIShBKGEogSihKMEo4SkBKSEpQSlhKYEpoSnBKeEqASohKk
-EqYSqBKqEqwSrhKwErIStBK2ErgSuhK8Er4SwBLCEsQSxhLIEsoS0xLVEt4S4BLhEuoS7BLtEvYS+BL5
-EwITBwAAAAAAAAICAAAAAAAAAk0AAAAAAAAAAAAAAAAAABMWA</bytes>
-		</object>
 	</data>
 </archive>
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAController.m
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAController.m	(revision 453)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAController.m	(revision 454)
@@ -236,2 +236,16 @@
 
 @end
+
+@implementation FSAController (NSWindowDelegate)
+
+- (BOOL)windowShouldClose:(id)sender;
+{
+    NSEvent *e = [NSApp currentEvent];
+    
+    if ([e type] == NSKeyDown && [e keyCode] == 53) // Escape
+	return NO;
+    
+    return YES;
+}
+
+@end
